package cn.hnthyy.thmz.service.his.mz;

import cn.hnthyy.thmz.entity.his.mz.MzyZdChargeType;

import java.util.List;

public interface MzyZdChargeTypeService {
    /**
     * 查询所有的号别
     * @return
     */
    List<MzyZdChargeType> queryAllMzyZdChargeType();

    /**
     * 根据号别的编号查询号别
     * @param code
     * @return
     */
    MzyZdChargeType queryByCode(String code);

    /**
     * 按照号别分类查询号别数量
     * @param reqType
     * @return
     */
    int queryCountByReqType(String reqType);

    /**
     * 更新号别
     * @param mzyZdChargeType
     * @return
     */
    int modifyMzyZdChargeType(MzyZdChargeType mzyZdChargeType);

    /**
     * 新增号别
     * @param mzyZdChargeType
     * @return
     */
    int saveMzyZdChargeType(MzyZdChargeType mzyZdChargeType);

    /**
     * 获取新的编码
     * @return
     */
    String getNewCode();
}
